Bug 1348419 (CVE-2015-8922)

Summary: CVE-2015-8922 libarchive: NULL pointer access in 7z parser
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: anemec, ndevos, praiskup, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libarchive 3.2.0 Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted 7Z file could trigger a NULL pointer dereference, causing the application to crash.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-18 04:57:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1352776, 1353065, 1353066    
Bug Blocks: 1334215    

Description Doran Moppert 2016-06-21 07:04:26 UTC
Upstream bug:
    https://github.com/libarchive/libarchive/issues/513

Upstream fix:
    https://github.com/libarchive/libarchive/commit/d094dc

libarchive-2.8 does not include support for this format.

Comment 2 Doran Moppert 2016-07-05 04:37:20 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 5 errata-xmlrpc 2016-09-12 20:13:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html